Page MenuHomePhabricator

Can't edit page after switching editors on mobile phone
Closed, ResolvedPublic

Description

Hello,

I can't edit this page at Czech Wikipedia: https://cs.m.wikipedia.org/wiki/Wikipedista:Patriccck/Wikiv%C5%A1em.

Try this steps:

  1. Edit the page in source editor and type some text.
  2. Switch to the Visual Editor and type some text.
  3. Switch back to source editor, type some text and try to publish changes.

Event Timeline

Patriccck created this task.Apr 1 2020, 8:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2020, 8:13 PM
Patriccck added a comment.EditedApr 1 2020, 8:43 PM

Another Czech Wikipedia user (User:Jan Myšák) tried it but it doesn't work.

Change 585327 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] EditorGateway: Fix handling of null sectionId

https://gerrit.wikimedia.org/r/585327

Change 585327 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] EditorGateway: Fix handling of null sectionId

https://gerrit.wikimedia.org/r/585327

Change 585555 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@wmf/1.35.0-wmf.26] EditorGateway: Fix handling of null sectionId

https://gerrit.wikimedia.org/r/585555

Change 585555 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.35.0-wmf.26] EditorGateway: Fix handling of null sectionId

https://gerrit.wikimedia.org/r/585555

Mentioned in SAL (#wikimedia-operations) [2020-04-02T18:27:51Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.26/extensions/MobileFrontend/: SWAT: 4e2a092: EditorGateway: Fix handling of null sectionId (T249169) (duration: 01m 09s)

matmarex moved this task from Code Review to QA on the Editing-team (Q3 2019-2020 Kanban Board) board.

The bug affects wmf.25 and wmf.26. I only backported it to wmf.26 for consistency with https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/585554. wmf.26 should be deployed everywhere in a few hours.

The bug affects wmf.25 and wmf.26. I only backported it to wmf.26 for consistency with https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/585554. wmf.26 should be deployed everywhere in a few hours.

Deployed everywhere now.

Patriccck closed this task as Resolved.Apr 2 2020, 7:42 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 2 2020, 7:42 PM

I tested and it works. Thank you so much!

Thanks for SWATing!

This comment was removed by Jdlrobson.